#ifndef SAMBOOT_CONFIG_H
#define SAMBOOT_CONFIG_H

/*
 * Copyright 2010 by egnite GmbH
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 */

#define VERSION         "1.0"


#if defined(AT91SAM9260_EK)

#define MCU_AT91SAM9260
#define MCU_AT91

#define SRAM0_START     0x00200000
#define SRAM0_SIZE      0x00001000
#define SRAM1_START     0x00300000
#define SRAM1_SIZE      0x00001000
#define SDRAM_BASE      0x20000000

#define DF_CS_PIO       PIOC_BASE
#define DF_CS_BIT       PC11_SPI0_NPCS1_B

#define DF_RECOVER_PIO  PIOA_BASE
#define DF_RECOVER_BIT  31

#else

#error No known target board

#endif

/*! \brief Whether t enable UART output. */
#define UART_OUTPUT     1

#ifndef PLL_MUL_VAL
#define PLL_MUL_VAL     96
#endif

#ifndef PLL_DIV_VAL
#define PLL_DIV_VAL     9
#endif

#ifndef BAUDRATE_DIV
#define BAUDRATE_DIV    54
#endif

#ifndef IMAGE_START
#define IMAGE_START     0x8400
#endif

#ifndef IMAGE_END
#define IMAGE_END       0x42000
#endif

#endif
